Vue Bootstrap Sizing

Vue Sizing - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Easily make an element as wide or as tall (relative to its parent) with our width and height utilities.


Width and height utilities

Width and height utilities are generated from the $sizes Sass map in _variables.scss. Includes support for 25%, 50%, 75%, and 100% by default. Modify those values as you need to generate different utilities here.

Width 25%
Width 50%
Width 75%
Width 100%
Width auto
Width 75% on large devices and 100% on small ones
        
            
        <template>
          <div>
            <div class="w-25 p-3" style="background-color: #eee;">Width 25%</div>
            <div class="w-50 p-3" style="background-color: #eee;">Width 50%</div>
            <div class="w-75 p-3" style="background-color: #eee;">Width 75%</div>
            <div class="w-100 p-3" style="background-color: #eee;">Width 100%</div>
            <div class="w-auto p-3" style="background-color: #eee;">Width auto</div>
            <div class="w-responsive text-center mx-auto p-3 mt-2" style="background-color: #eee;">Width 75% on large devices and 100% on small ones</div>
          </div>
        </template>
      
        
    
Height 25%
Height 50%
Height 75%
Height 100%
Height auto
        
            
        <template>
          <div>
            <div style="height: 100px; background-color: rgba(255,0,0,0.1);">
              <div class="h-25 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 25%</div>
              <div class="h-50 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 50%</div>
              <div class="h-75 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 75%</div>
              <div class="h-100 d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height 100%</div>
              <div class="h-auto d-inline-block" style="width: 120px; background-color: rgba(0,0,255,.1)">Height auto</div>
            </div>
          </div>
        </template>
      
        
    

Mix max height and width

You can also use max-width: 100%; and max-height: 100%; utilities as needed.

        
            
          <template>
            <img class="mw-100" src="https://via.placeholder.com/2000x200" alt="Max-width 100%">
          </template>
        
        
    
Max-height 100%
        
            
      <template>
        <div style="height: 100px; background-color: rgba(255,0,0,0.1);">
          <div class="mh-100" style="width: 100px; height: 200px; background-color: rgba(0,0,255,0.1);">Max-height 100%</div>
        </div>
      </template>

React Bootstrap Sizing

React Sizing - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap sizing is a utility which allows you to adjust elements width or height. There are 4 available values: 25%, 50%, 75% and 100%.

Easily make an element as wide or as tall (relative to its parent) with our width and height utilities.


Width and height utilities

Width and height utilities are generated from the $sizes Sass map in _variables.scss. Includes support for 25%, 50%, 75%, and 100% by default. Modify those values as you need to generate different utilities here.

Width 25%
Width 50%
Width 75%
Width 100%
Width auto
Width 75% on large devices and 100% on small ones
        
            
          import React from 'react'
          import { MDBContainer } from 'mdbreact'

          const SizingPage = () => {
            return (
              <MDBContainer>
                <div className="w-25 p-3">Width 25%</div>
                <div className="w-50 p-3">Width 50%</div>
                <div className="w-75 p-3">Width 75%</div>
                <div className="w-100 p-3">Width 100%</div>
                <div className="w-auto p-3">Width auto</div>
                <div className="w-responsive text-center mx-auto p-3 mt-2">Width 75% on large devices and 100% on small ones</div>
              </MDBContainer>
            )
          }

          export default SizingPage;
        
        
    
        
            
          .container div {
            background-color: #eee
          }
        
        
    
Height 25%
Height 50%
Height 75%
Height 100%
Height auto
        
            
            import React from 'react'
            import { MDBContainer } from 'mdbreact'

            const SizingPage = () => {
            return (
                <MDBContainer>
                  <div id="wrapper">
                    <div className="h-25 d-inline-block">Height 25%</div>
                    <div className="h-50 d-inline-block">Height 50%</div>
                    <div className="h-75 d-inline-block">Height 75%</div>
                    <div className="h-100 d-inline-block">Height 100%</div>
                    <div className="h-auto d-inline-block">Height auto</div>
                  </div>
                </MDBContainer>
              )
            }

            export default SizingPage;
          
        
    
        
            
            #wrapper div {
              width: 120px;
              background-color: rgba(0,0,255,.1)
            }

            #wrapper{
              display: flex;
              height: 100px;
              background-color: rgba(255,0,0,0.1);
            }
          
        
    

Mix max height and width

You can also use max-width: 100%; and max-height: 100%; utilities as needed.

        
            
          import React from 'react'
          import { MDBContainer } from 'mdbreact'

          const SizingPage = () => {
            return (
              <MDBContainer>
                <img className="mw-100" src="https://placehold.it/2000x200" alt="Max-width 100%" />
              </MDBContainer>
            )
          }

          export default SizingPage;
        
        
    
Max-height 100%
        
            
            import React from 'react'
            import { MDBContainer } from 'mdbreact';

            const SizingPage = () => {
              return (
              <MDBContainer>
                <div id="wrapper">
                  <div class="mh-100">Max-height 100%</div>
                </div>
              </MDBContainer>
              )
            }

            export default SizingPage;
          
        
    
        
            
            #wrapper div {
              width: 100px;
              height: 200px;
              background-color: rgba(0,0,255,0.1);
            }

            #wrapper{
              height: 100px;
              background-color: rgba(255,0,0,0.1);
            }